.custom_page_content {
  margin-top: -25px;
  position: relative; }
  .custom_page_content .breadcrumb {
    padding-left: 0px; }
  .custom_page_content h1 {
    margin-top: 40px; }

.contact_main_content {
  padding-bottom: 125px; }
  @media (max-width: 1200px) {
    .contact_main_content {
      padding-bottom: 100px; } }
  @media (max-width: 992px) {
    .contact_main_content {
      padding-bottom: 70px; } }
  @media (max-width: 500px) {
    .contact_main_content {
      padding-bottom: 50px; } }
  .contact_main_content .left_col {
    padding-top: 20px;
    padding-right: 50px; }
    @media (max-width: 1100px) {
      .contact_main_content .left_col {
        padding-right: 35px; } }
  .contact_main_content .contact_grid {
    display: grid;
    grid-template-columns: 380px calc(100% - 380px); }
    @media (max-width: 1100px) {
      .contact_main_content .contact_grid {
        grid-template-columns: 300px calc(100% - 300px); } }
    @media (max-width: 992px) {
      .contact_main_content .contact_grid {
        grid-template-columns: 100%; } }
  .contact_main_content .contact_page_text2 {
    margin-top: 35px; }
  .contact_main_content .right_col {
    margin-top: -44px; }
    @media (max-width: 992px) {
      .contact_main_content .right_col {
        margin-top: 30px; } }
    .contact_main_content .right_col .contact_form_content {
      border-radius: 30px;
      padding: 10px;
      display: -webkit-box;
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      background-color: #1739ed;
      background-image: -webkit-gradient(linear, left top, right top, from(#1739ed), to(#170a4a));
      background-image: -o-linear-gradient(left, #1739ed 0%, #170a4a 100%);
      background-image: linear-gradient(90deg, #1739ed 0%, #170a4a 100%); }
      @media (max-width: 400px) {
        .contact_main_content .right_col .contact_form_content {
          -webkit-box-orient: vertical;
          -webkit-box-direction: normal;
          -webkit-flex-direction: column;
              -ms-flex-direction: column;
                  flex-direction: column; } }
      .contact_main_content .right_col .contact_form_content .custom_h2 {
        font-size: 28px;
        -webkit-writing-mode: vertical-rl;
            -ms-writing-mode: tb-rl;
                writing-mode: vertical-rl;
        -webkit-transform: rotate(180deg);
            -ms-transform: rotate(180deg);
                transform: rotate(180deg);
        position: relative;
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: end;
        -webkit-justify-content: flex-end;
            -ms-flex-pack: end;
                justify-content: flex-end;
        color: #fff;
        font-weight: 700;
        margin-top: 55px;
        margin-left: 20px;
        margin-bottom: 30px; }
        @media (max-width: 700px) {
          .contact_main_content .right_col .contact_form_content .custom_h2 {
            font-size: 23px;
            margin-left: 10px;
            margin-top: 35px; } }
        @media (max-width: 400px) {
          .contact_main_content .right_col .contact_form_content .custom_h2 {
            -webkit-writing-mode: unset;
                -ms-writing-mode: unset;
                    writing-mode: unset;
            -webkit-transform: none;
                -ms-transform: none;
                    transform: none;
            -webkit-box-pack: start;
            -webkit-justify-content: flex-start;
                -ms-flex-pack: start;
                    justify-content: flex-start;
            margin-top: 25px;
            margin-bottom: 20px; } }
      .contact_main_content .right_col .contact_form_content .form_content {
        background-color: #fff;
        border-radius: 30px;
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        -webkit-flex-wrap: wrap;
            -ms-flex-wrap: wrap;
                flex-wrap: wrap;
        padding-bottom: 65px; }
        @media (max-width: 1200px) {
          .contact_main_content .right_col .contact_form_content .form_content {
            padding-bottom: 45px; } }
        @media (max-width: 700px) {
          .contact_main_content .right_col .contact_form_content .form_content {
            padding-bottom: 20px; } }
        @media (max-width: 460px) {
          .contact_main_content .right_col .contact_form_content .form_content {
            padding-bottom: 10px; } }
        .contact_main_content .right_col .contact_form_content .form_content .form_col50 {
          -webkit-flex-basis: 50%;
              -ms-flex-preferred-size: 50%;
                  flex-basis: 50%; }
          @media (max-width: 700px) {
            .contact_main_content .right_col .contact_form_content .form_content .form_col50 {
              -webkit-flex-basis: 100%;
                  -ms-flex-preferred-size: 100%;
                      flex-basis: 100%; } }
        .contact_main_content .right_col .contact_form_content .form_content .submit_box {
          display: -webkit-box;
          display: -webkit-flex;
          display: -ms-flexbox;
          display: flex;
          -webkit-box-orient: vertical;
          -webkit-box-direction: normal;
          -webkit-flex-direction: column;
              -ms-flex-direction: column;
                  flex-direction: column;
          -webkit-box-align: center;
          -webkit-align-items: center;
              -ms-flex-align: center;
                  align-items: center;
          -webkit-box-pack: center;
          -webkit-justify-content: center;
              -ms-flex-pack: center;
                  justify-content: center;
          width: 100%; }
          .contact_main_content .right_col .contact_form_content .form_content .submit_box input[type="submit"] {
            display: -webkit-inline-box;
            display: -webkit-inline-flex;
            display: -ms-inline-flexbox;
            display: inline-flex;
            border: none;
            background-color: #173bf5;
            padding: 20px 70px;
            border-radius: 30px;
            color: #fff;
            font-size: 14px;
            outline: none;
            border: 2px solid #efefef;
            cursor: pointer;
            text-align: center;
            -webkit-box-align: center;
            -webkit-align-items: center;
                -ms-flex-align: center;
                    align-items: center;
            -webkit-box-pack: center;
            -webkit-justify-content: center;
                -ms-flex-pack: center;
                    justify-content: center; }
        .contact_main_content .right_col .contact_form_content .form_content .input_box {
          margin-bottom: 25px; }
          @media (max-width: 600px) {
            .contact_main_content .right_col .contact_form_content .form_content .input_box {
              margin-bottom: 15px; } }
          @media (max-width: 460px) {
            .contact_main_content .right_col .contact_form_content .form_content .input_box {
              margin-bottom: 10px; } }
          .contact_main_content .right_col .contact_form_content .form_content .input_box input {
            padding: 5px 20px;
            border-radius: 26px;
            height: 55px;
            border: none;
            outline: none;
            border: none;
            outline: none;
            border: 1px solid #e8e8e8;
            width: 100%; }
        .contact_main_content .right_col .contact_form_content .form_content .textarea_box {
          position: relative; }
          .contact_main_content .right_col .contact_form_content .form_content .textarea_box::before {
            content: "";
            background-repeat: no-repeat;
            background-size: contain;
            width: 30px;
            height: 30px;
            position: absolute;
            left: -50px;
            top: 10px;
            background-image: url(../../../img/ikona-kontakt-tresc@2.png); }
            @media (max-width: 1200px) {
              .contact_main_content .right_col .contact_form_content .form_content .textarea_box::before {
                left: -40px; } }
            @media (max-width: 460px) {
              .contact_main_content .right_col .contact_form_content .form_content .textarea_box::before {
                width: 25px;
                height: 25px;
                left: -45px; } }
            @media (max-width: 400px) {
              .contact_main_content .right_col .contact_form_content .form_content .textarea_box::before {
                left: -35px; } }
          .contact_main_content .right_col .contact_form_content .form_content .textarea_box textarea {
            border-radius: 26px;
            height: 154px;
            border: none;
            outline: none;
            border: none;
            outline: none;
            border: 1px solid #e8e8e8;
            width: 100%;
            resize: none;
            padding: 15px 20px; }
        .contact_main_content .right_col .contact_form_content .form_content .form_col50 {
          padding: 55px 50px 45px 70px; }
          @media (max-width: 1200px) {
            .contact_main_content .right_col .contact_form_content .form_content .form_col50 {
              padding: 45px 30px 45px 55px; } }
          @media (max-width: 700px) {
            .contact_main_content .right_col .contact_form_content .form_content .form_col50 {
              padding: 0px 30px 15px 60px; } }
          @media (max-width: 460px) {
            .contact_main_content .right_col .contact_form_content .form_content .form_col50 {
              padding: 0px 20px 15px 65px; } }
          @media (max-width: 400px) {
            .contact_main_content .right_col .contact_form_content .form_content .form_col50 {
              padding: 0px 10px 15px 45px; } }
          .contact_main_content .right_col .contact_form_content .form_content .form_col50:nth-of-type(1) {
            padding: 55px 10px 45px 50px; }
            @media (max-width: 1200px) {
              .contact_main_content .right_col .contact_form_content .form_content .form_col50:nth-of-type(1) {
                padding: 55px 10px 45px 30px; } }
            @media (max-width: 700px) {
              .contact_main_content .right_col .contact_form_content .form_content .form_col50:nth-of-type(1) {
                padding: 35px 30px 0px 20px; } }
            @media (max-width: 460px) {
              .contact_main_content .right_col .contact_form_content .form_content .form_col50:nth-of-type(1) {
                padding: 35px 20px 0px 20px; } }
            @media (max-width: 400px) {
              .contact_main_content .right_col .contact_form_content .form_content .form_col50:nth-of-type(1) {
                padding: 35px 10px 0px 10px; } }
        .contact_main_content .right_col .contact_form_content .form_content .accept {
          margin-top: 15px;
          margin-bottom: 0px;
          margin-left: -50px; }
          @media (max-width: 1200px) {
            .contact_main_content .right_col .contact_form_content .form_content .accept {
              margin-left: -40px; } }
          .contact_main_content .right_col .contact_form_content .form_content .accept .acceptance_field {
            width: calc(100% - 20px); }
          .contact_main_content .right_col .contact_form_content .form_content .accept .wpcf7-list-item {
            margin: 0;
            width: 100%;
            display: block;
            margin-left: 0;
            font-size: 16px;
            margin-top: 8px; }
            .contact_main_content .right_col .contact_form_content .form_content .accept .wpcf7-list-item label {
              display: -webkit-box;
              display: -webkit-flex;
              display: -ms-flexbox;
              display: flex;
              gap: 10px;
              position: relative; }
              .contact_main_content .right_col .contact_form_content .form_content .accept .wpcf7-list-item label input {
                position: absolute;
                left: 0;
                top: 0;
                width: 1px;
                z-index: -1;
                opacity: 0; }
              .contact_main_content .right_col .contact_form_content .form_content .accept .wpcf7-list-item label input:checked + span:before {
                background-color: #173bf5;
                z-index: 2; }
              .contact_main_content .right_col .contact_form_content .form_content .accept .wpcf7-list-item label span {
                padding-left: 50px;
                padding-right: 0px;
                padding-top: 5px;
                position: relative; }
                @media (max-width: 1200px) {
                  .contact_main_content .right_col .contact_form_content .form_content .accept .wpcf7-list-item label span {
                    padding-left: 45px; } }
                .contact_main_content .right_col .contact_form_content .form_content .accept .wpcf7-list-item label span::before {
                  content: "";
                  display: block;
                  width: 28px;
                  height: 28px;
                  margin-right: 10px;
                  background-color: #ffffff4b;
                  border: 1px solid #e8e8e8;
                  position: absolute;
                  left: 0px;
                  top: 0; }
              .contact_main_content .right_col .contact_form_content .form_content .accept .wpcf7-list-item label .wpcf7-list-item-label {
                width: 100%; }
                .contact_main_content .right_col .contact_form_content .form_content .accept .wpcf7-list-item label .wpcf7-list-item-label p {
                  font-size: 11px;
                  margin-top: 0;
                  line-height: 1.2; }
        .contact_main_content .right_col .contact_form_content .form_content span.wpcf7-not-valid-tip {
          margin-top: 5px; }
      .contact_main_content .right_col .contact_form_content .wpcf7-form {
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -webkit-flex-direction: column;
            -ms-flex-direction: column;
                flex-direction: column; }
        .contact_main_content .right_col .contact_form_content .wpcf7-form .wpcf7-response-output {
          margin: 1em 0.5em 1em; }
      .contact_main_content .right_col .contact_form_content .input_box {
        margin-left: 50px;
        position: relative; }
        @media (max-width: 1200px) {
          .contact_main_content .right_col .contact_form_content .input_box {
            margin-left: 40px; } }
        .contact_main_content .right_col .contact_form_content .input_box::before {
          content: "";
          background-repeat: no-repeat;
          background-size: contain;
          width: 30px;
          height: 30px;
          position: absolute;
          left: -50px;
          top: 10px; }
          @media (max-width: 1200px) {
            .contact_main_content .right_col .contact_form_content .input_box::before {
              left: -40px; } }
          @media (max-width: 460px) {
            .contact_main_content .right_col .contact_form_content .input_box::before {
              width: 25px;
              height: 25px; } }
      .contact_main_content .right_col .contact_form_content .input_box_name::before {
        background-image: url(../../../img/ikona-konto@2.png); }
      .contact_main_content .right_col .contact_form_content .input_box_email::before {
        background-image: url(../../../img/ikona-mail@2.png); }
      .contact_main_content .right_col .contact_form_content .input_box_phone::before {
        background-image: url(../../../img/ikona-kontakt-telefon@2.png); }

.contact_page_repeater_item {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  gap: 5px; }
  .contact_page_repeater_item img {
    max-width: 35px;
    height: 35px;
    -o-object-fit: contain;
       object-fit: contain;
    margin-top: 5px; }
  .contact_page_repeater_item p,
  .contact_page_repeater_item a {
    color: #170947;
    text-decoration: none; }
  .contact_page_repeater_item p {
    margin: 11px 0; }

.page-template-contact .padding_left,
.page-template-cooperation .padding_left,
.page-template-about-us .padding_left {
  padding-left: 50px; }
  @media (max-width: 1366px) {
    .page-template-contact .padding_left,
    .page-template-cooperation .padding_left,
    .page-template-about-us .padding_left {
      padding-left: 0; } }

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
